Runtime

## org.eclipse.gmf.runtime.notation
Interface StandardDiagram

All Superinterfaces:
  DescriptionStyle, Diagram, DiagramStyle, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, GuideStyle, org.eclipse.emf.common.notify.Notifier, PageStyle, Style, View

All Known Implementing Classes:
  StandardDiagramImpl

    public interface StandardDiagram

extends Diagram, DiagramStyle

A representation of the model object 'Standard Diagram'.

Since:
  1.2
See Also:
  `NotationPackage.getStandardDiagram()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.gmf.runtime.notation.Diagram
`createEdge, getEdges, getMeasurementUnit, getName, getPersistedEdges, getTransientEdges, insertEdge, insertEdge, insertEdgeAt, isSetMeasurementUnit, persistEdges, removeEdge, setMeasurementUnit, setName, unsetMeasurementUnit`

Methods inherited from interface org.eclipse.gmf.runtime.notation.View
`createChild, createStyle, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.gmf.runtime.notation.PageStyle
`getPageHeight, getPageWidth, getPageX, getPageY, setPageHeight, setPageWidth, setPageX, setPageY`

Methods inherited from interface org.eclipse.gmf.runtime.notation.GuideStyle
`getHorizontalGuides, getVerticalGuides`

Methods inherited from interface org.eclipse.gmf.runtime.notation.DescriptionStyle
`getDescription, setDescription`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.